Module java.base
Package java.lang

## Class UnknownError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError
      - - java.lang.UnknownError

All Implemented Interfaces:
  Serializable

    public class UnknownError
    extends VirtualMachineError

Thrown when an unknown but serious exception has occurred in the Java Virtual Machine.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnknownError()` Constructs an `UnknownError` with no detail message.
`UnknownError(String s)` Constructs an `UnknownError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### UnknownError

    public UnknownError()

Constructs an `UnknownError` with no detail message.

#### UnknownError

    public UnknownError(String s)

Constructs an `UnknownError` with the specified detail message.

Parameters:
  `s` - the detail message.